org.apache.solr.client.solrj.cloud.autoscaling

## Class VariableBase

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

All Implemented Interfaces:
  Variable

Direct Known Subclasses:
  CoresVariable, FreeDiskVariable, NodeVariable, VariableBase.CoreIndexSizeVariable, VariableBase.DiskTypeVariable, VariableBase.LazyVariable, VariableBase.TotalDiskVariable, WithCollectionVariable

    public class VariableBase
    extends Object
    implements Variable

### Nested Class Summary

Nested Classes
`static class` `VariableBase.CoreIndexSizeVariable`
`static class` `VariableBase.DiskTypeVariable`
`static class` `VariableBase.LazyVariable`
`static class` `VariableBase.TotalDiskVariable`

### Nested classes/interfaces inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`Variable.Meta, Variable.Type`

### Field Summary

### Fields inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`coreidxsize, NULL`

### Constructor Summary

Constructors
Constructor and Description
`VariableBase(Variable.Type type)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compareViolation(Violation v1, Violation v2)`
`void` `getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)`
`static Variable.Type` `getTagType(String name)`
`Object` `validate(String name, Object val, boolean isRuleVal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`addViolatingReplicas, computeValue, convertVal, getOperand, match, postValidate, projectAddReplica, projectRemoveReplica`

### Constructor Detail

#### VariableBase

    public VariableBase(Variable.Type type)

### Method Detail

#### getSuggestions

    public void getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)

Specified by:
  `getSuggestions` in interface `Variable`

#### getTagType

    public static Variable.Type getTagType(String name)

#### compareViolation

    public int compareViolation(Violation v1,
                                Violation v2)

Specified by:
  `compareViolation` in interface `Variable`

#### validate

    public Object validate(String name,
                           Object val,
                           boolean isRuleVal)

Specified by:
  `validate` in interface `Variable`